{
  "schema_version": "1.4.0",
  "id": "GHSA-qxv8-g8q7-36cp",
  "modified": "2022-05-02T00:00:57Z",
  "published": "2022-05-02T00:00:57Z",
  "aliases": [
    "CVE-2008-3526"
  ],
  "details": "Integer overflow in the sctp_setsockopt_auth_key function in net/sctp/socket.c in the Stream Control Transmission Protocol (sctp) implementation in the Linux kernel 2.6.24-rc1 through 2.6.26.3 allows remote attackers to cause a denial of service (panic) or possibly have unspecified other impact via a crafted sca_keylength field associated with the SCTP_AUTH_KEY option.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-3526"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2008:0857"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2008-3526"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=460093"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/44723"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.26.y.git%3Ba=commit%3Bh=30c2235cbc477d4629983d440cdc4f496fec9246"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.26.y.git;a=commit;h=30c2235cbc477d4629983d440cdc4f496fec9246"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-10/msg00010.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31881"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32190"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32393"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1636"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:223"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2008/08/26/9"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0857.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/30847"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-659-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-08-27T20:41:00Z"
  }
}